# ionoscloud\_s3\_objects

The **Objects data source** can be used to search for and return existing objects.

## Example Usage

```hcl

data "ionoscloud_s3_objects" "example" {
  bucket = "example"
  prefix    = "prefix1/"
  delimiter = "/"
  max_keys  = 100
  fetch_owner = true
}

```

## Argument Reference

The following arguments are supported:

* `bucket` - (Required)\[string] The name of the bucket where the objects are stored.
* `encoding_type` - (Optional)\[string] Specifies the encoding method used to encode the object keys in the response. Default is url.
* `prefix` - (Optional)\[string] Limits the response to keys that begin with the specified prefix.
* `delimiter` - (Optional)\[string] A character used to group keys.
* `max_keys` - (Optional)\[int] Sets the maximum number of keys returned in the response body.Default is 1000.
* `fetch_owner` - (Optional)\[bool] If set to true, the response includes the owner field in the metadata.
* `start_after` - (Optional)\[string] Specifies the key to start after when listing objects in a bucket.

## Attributes Reference

The following attributes are returned by the datasource:

* `keys` - A list of objects in the bucket.
* `common_prefixes` - A list of keys that act as a delimiter for grouping keys.
* `owner` - The owner of the bucket.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/s3_objects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
